#!/bin/bash
# Copyright (c) EEnos.com
# Eenos mailman admin user  and password change tools
# Update other mail man secure keys

if [ -f /usr/local/eenos/etc/mailman/mailman.cfg ] ; then
    mm_config="/usr/local/eenos/etc/mailman/mailman.cfg"
    mm_pass="$(date +%s | sha256sum | base64 | head -c 32)"
    mm_admin="eenos_"$(date +%s | sha256sum | base64 | head -c 12)
    echo "Changing Mailman admin user .."
    sed -i -e "s|^\(\s*admin_user:\s*\)\S\+$|\1$mm_admin|" $mm_config
    echo "Changing Mailman admin Password .."
    sed -i -e "s|^\(\s*admin_pass:\s*\)\S\+$|\1$mm_pass|" $mm_config
    chown list:eenos /usr/local/eenos/etc/mailman/mailman.cfg
    chmod 0640 /usr/local/eenos/etc/mailman/mailman.cfg
fi

if [ -f /usr/local/eenos/etc/mailman/mailman-hyperkitty.cfg ]; then
    mm_hc="/usr/local/eenos/etc/mailman/mailman-hyperkitty.cfg"
    apikey="$(date +%s | sha256sum | base64 | head -c 32)"
    echo "Changing Hyperkitty Api Key"
    sed -i -e "s|^\(\s*api_key:\s*\)\S\+$|\1$apikey|" $mm_hc
fi

if [ -d /usr/local/eenos/mailman/web/settings ]; then
    webc="/usr/local/eenos/mailman/web/settings/key.py"
    sec="$(date +%s | sha256sum | base64 | head -c 32)"
    echo "SECRET_KEY = \"$sec\"" > $webc
    echo "Changing Mailman web secret key"
fi
if [ -d /var/log/mailman ]; then
    chown list:www-data /var/log/mailman
fi
if [ -f /usr/local/eenos/mailman/web/mailman-web.db ] ; then 
    chown list:eenos /usr/local/eenos/mailman/web/mailman-web.db
    chmod 0664 /usr/local/eenos/mailman/web/mailman-web.db
fi
