#!/usr/local/eenos/bin/python3
import os
import sys
from pathlib import Path
sys.dont_write_bytecode = True

def setup():
    """Setup environment for Mailman web."""
    if os.getenv('DJANGO_SETTINGS_MODULE') is not None:
        return

    MAILMAN_WEB_CONFIG = os.getenv('MAILMAN_WEB_CONFIG', '/usr/local/eenos/etc/mailman/settings.py')

    if not os.path.exists(MAILMAN_WEB_CONFIG):
        print('Mailman web configuration file at {} does not exist'.format(
              MAILMAN_WEB_CONFIG), file=sys.stderr)
        print('Modify "MAILMAN_WEB_CONFIG" environment variable to point at '
              'settings.py', file=sys.stderr)
        sys.exit(1)

    config_path = Path(MAILMAN_WEB_CONFIG).resolve()
    sys.path.append(str(config_path.parent))

    os.environ['DJANGO_SETTINGS_MODULE'] = config_path.stem

def main():
    #setup()
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'web.settings')
    os.environ['DJANGO_IS_MANAGEMENT_COMMAND'] = '1'
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    execute_from_command_line(sys.argv)
if __name__ == "__main__":
    os.setuid(38)
    main()
