from django.conf import settings
from django.contrib.sites.models import Site
class DynamicSiteDomainMiddleware:
    def __init__(self, get_response):
        self.get_response = get_response
    def __call__(self, request):
        try:
            domain=request.get_host()
            if str(domain).startswith('www.'):
               domain=str(domain).split('www.')[-1]
               if ':' in domain:
                   domain=domain.split(':')[0]            
            current_site = Site.objects.get(domain=domain)
        except Site.DoesNotExist:
            current_site = Site.objects.get(id=settings.DEFAULT_SITE_ID)
        request.current_site = current_site
        settings.SITE_ID = current_site.id        
        response = self.get_response(request)
        return response
